# Dockerized Container Testbed for OpenVPN with CCD and LDAP Auth

## Build VPN Test Root CA

```shell
./vpnca.sh
```

## Set Secrets for LDAP Access

In directory `.secrets` create the following files containing LDAP login information:

- `.secrets/auth_ldap_base_dn`:  
  Example: `ou=users,dc=example,dc=test`
- `.secrets/auth_ldap_bind_dn`:  
  Example: `uid=ldap_readonly,dc=example,dc=test`
- `.secrets/auth_ldap_group_base_dn`:  
  Example: `ou=groups,dc=example,dc=test`
- `.secrets/auth_ldap_group_search_filter`:
  Example: `(cn=vpnuser)`
- `.secrets/auth_ldap_password`:  
  Example: `topsecret123`
- `.secrets/auth_ldap_url`:  
  Example: `ldap://ldap01.example.test`
- `.secrets/login_password`:  
  Example: `P4ssw0rd`
- `.secrets/login_user`:  
  Example: `testuser1`

## Build and run the Example

```shell
docker compose build
docker compose up
```

